Subject: Re: SeaTac City poster translation needed
From: Susana Depree <[email-masked]>
To: Michael B <[email-masked]>
Date: Mon, 4 Dec 2017 15:16:19 +0000 (UTC)

Oh Im sorry I told Tom I can't do much from my phone and that translates need a professional people who can handle, sorry about that... 😞😞

Sent from Yahoo Mail for iPhone

On Monday, December 4, 2017, 10:09 AM, Michael B <[email-masked]> wrote:

Hello Susana.I wondered if you how you were progressing on this. Let me know.Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Michael B Sent: Tuesday, November 14, 2017 4:57 PMTo: [email-masked] Subject: SeaTac City poster translation needed
Hello Susana.We have a Minimum Wage poster for the City of SeaTac that we need translated. Please see the attached. The link for the English poster is as follows:http://www.ci.seatac.wa.us/home/showdocument?id=17723 Please let me know if you have any questions.Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355